using System;
using System.Xml.Linq;

internal sealed class Delegate682 : MulticastDelegate
{
	public extern bool Invoke(XName xname_0, XName xname_1);

	public static bool smethod_0(XName xname_0, XName xname_1, Delegate682 delegate682_1)
	{
		return delegate682_1(xname_0, xname_1);
	}

	public extern Delegate682(object object_0, IntPtr intptr_0);

	static Delegate682()
	{
		Class10.smethod_13(typeof(Delegate682).TypeHandle);
	}

	internal static Delegate682 delegate682_0;
}
